<?php

function automotive_charging_station_remove_customize_register() {
    global $wp_customize;
    $wp_customize->remove_section( 'automobile_hub_color_option' );
    $wp_customize->remove_section( 'automobile_hub_documentation' );
    $wp_customize->remove_section( 'automobile_hub_topbar' );
}
add_action( 'customize_register', 'automotive_charging_station_remove_customize_register', 11 );

function automotive_charging_station_customize_register( $wp_customize ) {

	$wp_customize->add_section( 'automotive_charging_station_featured_car_section' , array(
    	'title'      => __( 'Car Charging Services Settings', 'automotive-charging-station' ),
		'panel' => 'automobile_hub_panel_id'
	) );

	$wp_customize->add_setting('automotive_charging_station_charging_services_section_tittle',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('automotive_charging_station_charging_services_section_tittle',array(
		'label'	=> __('Section Title','automotive-charging-station'),
		'section'	=> 'automotive_charging_station_featured_car_section',
		'type'		=> 'text'
	));

	$categories = get_categories();
	$cats = array();
	$i = 0;
	$automotive_charging_station_offer_cat[]= 'select';
	foreach($categories as $category){
		if($i==0){
			$default = $category->slug;
			$i++;
		}
		$automotive_charging_station_offer_cat[$category->slug] = $category->name;
	}

	$wp_customize->add_setting('automotive_charging_station_charging_services_section_category',array(
		'default'	=> 'select',
		'sanitize_callback' => 'automobile_hub_sanitize_choices',
	));
	$wp_customize->add_control('automotive_charging_station_charging_services_section_category',array(
		'type'    => 'select',
		'choices' => $automotive_charging_station_offer_cat,
		'label' => __('Select Category','automotive-charging-station'),
		'section' => 'automotive_charging_station_featured_car_section',
	));

}
add_action( 'customize_register', 'automotive_charging_station_customize_register' );