<?php
/**
 * Template part for displaying best deals section
 *
 * @package Automotive Charging Station
 * @subpackage automotive_charging_station
 */
?>

<section id="featured-car" class="py-5">
  <div class="container">
    <?php if( get_theme_mod('automotive_charging_station_charging_services_section_tittle') != ''){ ?>
      <h2 class="text-center mb-5"><?php echo esc_html(get_theme_mod('automotive_charging_station_charging_services_section_tittle','')); ?></h2>
    <?php }?>
    <div class="row">
      <?php 
        $automotive_charging_station_post_category = get_theme_mod('automotive_charging_station_charging_services_section_category');
        if($automotive_charging_station_post_category){
          $automotive_charging_station_page_query = new WP_Query(array( 'category_name' => esc_html( $automotive_charging_station_post_category ,'automotive-charging-station')));?>
          <?php while( $automotive_charging_station_page_query->have_posts() ) : $automotive_charging_station_page_query->the_post(); ?>
            <div class="col-lg-4 col-md-6">
              <div class="cat-inner-box mb-4">
                <?php the_post_thumbnail(); ?>
                <div class="car-inner-content">
                  <?php if(has_post_thumbnail()) { ?>
                    <div class="margin"></div>
                  <?php } ?>
                  <h3><?php the_title(); ?></h3>
                  <p><?php $automobile_hub_excerpt = get_the_excerpt();echo esc_html( automobile_hub_string_limit_words( $automobile_hub_excerpt,15 ) ); ?></p>
                  <div class="read-more-btn">
                    <a href="<?php the_permalink(); ?>"><?php esc_html_e('Read More','automotive-charging-station'); ?></a>
                  </div>
                </div>
              </div>
            </div>
          <?php endwhile;
          wp_reset_postdata();
        }
      ?>
    </div>
  </div>
</section> 